daves_book 042.jpg=Jennifer and me in front of the Pink ice
daves_book 011.jpg=Tailgate in February
daves_book 027.jpg=Jay
daves_book 045.jpg=Jennifer and me in front of the Pink ice
daves_book 077.jpg=Me
daves_book 007.jpg=Dyanne
daves_book 006.jpg=Tailgate in February
daves_book 030.jpg=Hmmm
daves_book 046.jpg=Jennifer and me in front of the Pink ice
daves_book 008.jpg=Jennifer and me
daves_book 047.jpg=Jennifer
daves_book 032.jpg=Jennifer and me
daves_book 009.jpg=Tailgate in February
daves_book 022.jpg=Jennifer and Adrian
daves_book 019.jpg=Jennifer and the Red Hat Society Ladies
daves_book 012.jpg=Tailgate in February
daves_book 078.jpg=Jennifer and Me
daves_book 013.jpg=Tailgate in February
daves_book 018.jpg=Me and Jennifer
daves_book 021.jpg=Red Hat Society
daves_book 014.jpg=Andrea
pink_in_the_rink 031.jpg=The photographer!
daves_book 004.jpg=Adrian
daves_book 005.jpg=Adrian
daves_book 002.jpg=Jennifer
daves_book 028.jpg=Jim and Jennifer
daves_book 076.jpg=Me
daves_book 020.jpg=Me
daves_book 044.jpg=Jennifer and me in front of the Pink ice
daves_book 041.jpg=Jennifer and me in front of the Pink ice
daves_book 080.jpg=Jennifer and Me
daves_book 039.jpg=Tasty ice cream
daves_book 034.jpg=Me and Jennifer
daves_book 026.jpg=Carl and Me
daves_book 015.jpg=Tailgate in February
daves_book 031.jpg=Me
daves_book 033.jpg=Jennifer and me
daves_book 003.jpg=Tailgate in February
daves_book 029.jpg=Jim and Jennifer
daves_book 036.jpg=Jennifer
daves_book 079.jpg=Jennifer and Me
daves_book 010.jpg=Tailgate in February
daves_book 035.jpg=Me and Jennifer
daves_book 025.jpg=Jennifer and Carl
daves_book 043.jpg=Jennifer and me in front of the Pink ice
daves_book 016.jpg=Christina Ricci?
daves_book 024.jpg=Jennifer and Carl
